Bug 1483701 - [RFE] Cinder iSCSI multipath robustness
Summary: [RFE] Cinder iSCSI multipath robustness
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M1
: 13.0 (Queens)
Assignee: Gorka Eguileor
QA Contact: Avi Avraham
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 18:56 UTC by Sean Cohen
Modified: 2020-07-07 17:55 UTC (History)
5 users (show)

Fixed In Version: openstack-cinder-12.0.0-0.20180104034246.26e8be8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:34:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 469445 None ABANDONED Multipath tempest scenarios 2020-07-07 17:54:33 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:34:53 UTC

Description Sean Cohen 2017-08-21 18:56:10 UTC
Over the last 5 releases we have 14 different iSCSI multipath bugs (1443612, 1445192,1441066,1443178, 1428662, 1442637, 1406617, 1428962, 1440576, 1396112, 	1418856, 1426441, 1426442, 1386469)			

However, in order to validate the robustness of the iSCSI multipath code in
OpenStack we require harsher tests than those we have, since they only
test the "happy code path".

This RFE is aimed to cover error injecting tests with validation to confirm there
are no leftovers after an attach or detach failure and an appropriate
explanation in our documentation.

Comment 7 Avi Avraham 2018-04-03 12:44:51 UTC
Verified in RPM package:
openstack-cinder-12.0.1-0.20180326201852.46c4ec1.el7ost.noarch
According to Polarion test run: 
20180220-1116 - [cinder] iSCSI multipath robustness

Comment 10 errata-xmlrpc 2018-06-27 13:34:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.